package com.yythird.base;

import java.util.HashMap;

public interface ChannelSdkCallback {

    void onSetChannelTagCallback(String msg);

    void onInitCallback(boolean success, String msg);

    void onLoginChannelCallback(String msg);

    void onLogOutCallback(String msg);

    void onPayFinishCallback(boolean success, String msg);

    void onExiGameCallback(boolean success, String msg);

    void onPayExtParamCallback(HashMap<String, String> payInfo, String url);

    void onGetChannelRealNameCallback(boolean isRealName, String report_type, String birthday);

    void onLoginChannelFail(String msg);

    void onLoginChannelSuccess(String msg);

    void onUploadUserRealNameInfo(String report_type, String msg);

    void onGetOaidCallback(boolean isSuccess, String oaid);

    String onGetChannelUid();

    void onShowGameExit();
}
